[package - 122amd64-quarterly][databases/libgda5-mdb] Failed for libgda5-mdb-5.2.10_1 in build

From: <pkg-fallout_at_FreeBSD.org>
Date: Tue, 18 May 2021 23:11:42 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     gnome_at_FreeBSD.org
Log URL:        http://beefy2.nyi.freebsd.org/data/122amd64-quarterly/cdf5bfe36fe5/logs/libgda5-mdb-5.2.10_1.log
Build URL:      http://beefy2.nyi.freebsd.org/build.html?mastername=122amd64-quarterly&build=cdf5bfe36fe5
Log:

=>> Building databases/libgda5-mdb
build started at Tue May 18 23:11:19 UTC 2021
port directory: /usr/ports/databases/libgda5-mdb
package name: libgda5-mdb-5.2.10_1
building for: FreeBSD 122amd64-quarterly-job-02 12.2-RELEASE-p6 FreeBSD 12.2-RELEASE-p6 amd64
maintained by: gnome_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-8-gaf08dbda
Host OSVERSION: 1400008
Jail OSVERSION: 1202000
Job Id: 02

---Begin Environment---
SHELL=/bin/csh
OSVERSION=1202000
UNAME_v=FreeBSD 12.2-RELEASE-p6
UNAME_r=12.2-RELEASE-p6
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-8-gaf08dbda
MASTERMNT=/usr/local/poudriere/data/.m/122amd64-quarterly/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/122amd64-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=122amd64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/122amd64-quarterly/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
---End OPTIONS List---

--MAINTAINER--
gnome_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--
--without-oracle  --disable-crypto  --disable-default-binary  --enable-introspection --without-ui --without-bdb --without-ldap --without-mysql --without-postgres --with-mdb=/usr/local --without-java --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.7" MAKE=gmake PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/databases/libgda5-mdb/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/databases/libgda5-mdb/work  HOME=/wrkdirs/usr/ports/databases/libgda5-mdb/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/databases/libgda5-mdb/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CMAKE_PREFIX_PATH="/usr/local" LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=524288
--End CONFIGURE_ENV--

--MAKE_ENV--
GI_SCANNER_DISABLE_CACHE=1 XDG_CACHE_HOME=/wrkdirs/usr/ports/databases/libgda5-mdb/work XDG_DATA_HOME=/wrkdirs/usr/ports/databases/libgda5-mdb/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/databases/libgda5-mdb/work  HOME=/wrkdirs/usr/ports/databases/libgda5-mdb/work TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/databases/libgda5-mdb/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LANG=en_US.UTF-8 LC_ALL=en_US.UTF-8 PREFIX=/usr/local  LOCALBASE=/usr/local  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing "  CPP="cpp" CPPFLAGS="-I/usr/local/include -isystem /usr/local/include"  LDFLAGS=" -L/usr/local/lib -fstack-protector-strong " LIBS="-L/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install
   -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
VERSION=5.0 PYTHON_INCLUDEDIR=include/python3.7m  PYTHON_LIBDIR=lib/python3.7  PYTHON_PLATFORM=freebsd12  PYTHON_SITELIBDIR=lib/python3.7/site-packages  PYTHON_SUFFIX=37  PYTHON_EXT_SUFFIX=  PYTHON_VER=3.7  PYTHON_VERSION=python3.7 PYTHON2="_at_comment " PYTHON3="" GTK2_VERSION="2.10.0"  GTK3_VERSION="3.0.0" OSREL=12.2 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/libgda"  EXAMPLESDIR="share/examples/libgda"  DATADIR="share/libgda"  WWWDIR="www/libgda"  ETCDIR="etc/libgda"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/libgda DOCSDIR=/usr/local/share/doc/libgda EXAMPLESDIR=/usr/local/share/examples/libgda  WWWDIR=/usr/local/www/libgda ETCDIR=/usr/local/etc/libgda
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_ALTCCVERSION_921dbbb2=none
_CXXINTERNAL_acaad9ca=FreeBSD clang version 10.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin "/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--hash-style=both" "--enable-new-dtags" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_921dbbb2_58173849=yes
CC_OUTPUT_921dbbb2_9bdba57c=yes
CC_OUTPUT_921dbbb2_6a4fe7f5=yes
CC_OUTPUT_921dbbb2_6bcac02b=yes
CC_OUTPUT_921dbbb2_67d20829=yes
CC_OUTPUT_921dbbb2_bfa62e83=yes
CC_OUTPUT_921dbbb2_f0b4d593=yes
CC_OUTPUT_921dbbb2_308abb44=yes
CC_OUTPUT_921dbbb2_f00456e5=yes
CC_OUTPUT_921dbbb2_65ad290d=yes
CC_OUTPUT_921dbbb2_f2776b26=yes
CC_OUTPUT_921dbbb2_b2657cc3=yes
CC_OUTPUT_921dbbb2_380987f7=yes
CC_OUTPUT_921dbbb2_160933ec=yes
CC_OUTPUT_921dbbb2_fb62803b=yes
_OBJC_CCVERSION_921dbbb2=FreeBSD clang version 10.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-10.0.1-0-gef32c611aa2) Target: x86_64-unknown-freebsd12.2 Thread model: posix InstalledDir: /usr/bin
_OBJC_ALTCCVERSION_921dbbb2=none
ARCH=amd64
OPSYS=FreeBSD
_OSRELEASE=12.2-RELEASE-p6
OSREL=12.2
OSVERSION=1202000
PYTHONBASE=/usr/local
HAVE_COMPAT_IA32_KERN=YES
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv2+ LGPL20+ accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   libgda5-mdb-5.2.10_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.16.3.txz
[122amd64-quarterly-job-02] Installing pkg-1.16.3...
[122amd64-quarterly-job-02] Extracting pkg-1.16.3: .......... done
===>   libgda5-mdb-5.2.10_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of libgda5-mdb-5.2.10_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2+ LGPL20+ accepted by the user
===> Fetching all distfiles required by libgda5-mdb-5.2.10_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2+ LGPL20+ accepted by the user
===> Fetching all distfiles required by libgda5-mdb-5.2.10_1 for building
=> SHA256 Checksum OK for gnome3/libgda-5.2.10.tar.xz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2+ LGPL20+ accepted by the user
===> Fetching all distfiles required by libgda5-mdb-5.2.10_1 for building
===>  Extracting for libgda5-mdb-5.2.10_1
=> SHA256 Checksum OK for gnome3/libgda-5.2.10.tar.xz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for libgda5-mdb-5.2.10_1
===========================================================================
=======================<phase: build-depends  >============================
===>   libgda5-mdb-5.2.10_1 depends on executable: itstool - not found
===>   Installing existing package /packages/All/itstool-2.0.6.txz
[122amd64-quarterly-job-02] Installing itstool-2.0.6...
[122amd64-quarterly-job-02] `-- Installing py37-libxml2-2.9.10_3...
[122amd64-quarterly-job-02] |   `-- Installing gettext-runtime-0.21...
[122amd64-quarterly-job-02] |   | `-- Installing indexinfo-0.3.1...
[122amd64-quarterly-job-02] |   | `-- Extracting indexinfo-0.3.1: .... done
[122amd64-quarterly-job-02] |   `-- Extracting gettext-runtime-0.21: .......... done
[122amd64-quarterly-job-02] |   `-- Installing libxml2-2.9.10_3...
[122amd64-quarterly-job-02] |   `-- Extracting libxml2-2.9.10_3: .......... done
[122amd64-quarterly-job-02] |   `-- Installing py37-setuptools-44.0.0...
[122amd64-quarterly-job-02] |   | `-- Installing python37-3.7.10...
[122amd64-quarterly-job-02] |   |   `-- Installing libffi-3.3_1...
[122amd64-quarterly-job-02] |   |   `-- Extracting libffi-3.3_1: .......... done
[122amd64-quarterly-job-02] |   |   `-- Installing readline-8.1.0...
[122amd64-quarterly-job-02] |   |   `-- Extracting readline-8.1.0: .......... done
[122amd64-quarterly-job-02] |   | `-- Extracting python37-3.7.10: .......... done
[122amd64-quarterly-job-02] |   `-- Extracting py37-setuptools-44.0.0: .......... done
[122amd64-quarterly-job-02] `-- Extracting py37-libxml2-2.9.10_3: .......... done
[122amd64-quarterly-job-02] Extracting itstool-2.0.6: .......... done
<snip>
checking for gtkdoc-check... no
checking for gtkdoc-rebase... no
checking for gtkdoc-mkpdf... no
checking whether to build gtk-doc documentation... no
checking for GTKDOC_DEPS... yes
checking for yelp-build... no
checking checking for Mysql API version... Using MySQL API for version 
checking checking for Mysql 8 API version... no
checking for FIREBIRD_CLIENT... no
checking for FIREBIRD_EMBED... no
checking for Firebird client files in /usr... not found
checking for Firebird client files in /opt/firebird... not found
checking for Firebird client files in /local... not found
checking for Firebird embedded library files in /usr... not found
checking for Firebird embedded library files in /opt/firebird... not found
checking for Firebird embedded library files in /local... not found
configure: FIREBIRD backend not used
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for iconv... yes
checking for working iconv... yes
checking how to link with libiconv... -liconv
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for MDB Tools files in /usr/local... not found
configure: MDB backend not used
checking for SQLITE... yes
checking for sqlite3_table_column_metadata in -lsqlite3... yes
Note: using system installed version of SQLite, meta data for functions will not be available
checking for LIBSOUP... yes
checking for LIBSECRET... yes
checking for initscr in -lncurses... yes
checking for readline in -lreadline... yes
checking for add_history in -lhistory... yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking for perl5... no
checking for perl... perl
checking which C compiler warning flags to use... -Wall
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating libgda.spec
config.status: creating libgda-5.0.pc
config.status: creating libgda-ui-5.0.pc
config.status: creating libgda-report-5.0.pc
config.status: creating libgda-xslt-5.0.pc
config.status: creating po/Makefile.in
config.status: creating libgda/Makefile
config.status: creating libgda/libgda.h
config.status: creating libgda/binreloc/Makefile
config.status: creating libgda/handlers/Makefile
config.status: creating libgda/providers-support/Makefile
config.status: creating libgda/sql-parser/Makefile
config.status: creating libgda/sqlite/Makefile
config.status: creating libgda/sqlite/sqlite-src/Makefile
config.status: creating libgda/sqlite/virtual/libgda-virtual.h
config.status: creating libgda/sqlite/virtual/Makefile
config.status: creating libgda/thread-wrapper/Makefile
config.status: creating providers/Makefile
config.status: creating providers/reuseable/Makefile
config.status: creating providers/reuseable/postgres/Makefile
config.status: creating providers/reuseable/mysql/Makefile
config.status: creating providers/bdb/Makefile
config.status: creating providers/bdb/libgda-bdb-5.0.pc
config.status: creating providers/bdbsql/Makefile
config.status: creating providers/bdbsql/libgda-bdbsql-5.0.pc
config.status: creating providers/mdb/Makefile
config.status: creating providers/mdb/libmdb-src/Makefile
config.status: creating providers/mdb/libgda-mdb-5.0.pc
config.status: creating providers/mysql/Makefile
config.status: creating providers/mysql/libgda-mysql-5.0.pc
config.status: creating providers/oracle/Makefile
config.status: creating providers/oracle/libgda-oracle-5.0.pc
config.status: creating providers/postgres/Makefile
config.status: creating providers/postgres/libgda-postgres-5.0.pc
config.status: creating providers/firebird/Makefile
config.status: creating providers/firebird/libgda-firebird-5.0.pc
config.status: creating providers/sqlite/Makefile
config.status: creating providers/sqlite/libgda-sqlite-5.0.pc
config.status: creating providers/jdbc/Makefile
config.status: creating providers/jdbc/libgda-jdbc-5.0.pc
config.status: creating providers/ldap/Makefile
config.status: creating providers/ldap/libgda-ldap-5.0.pc
config.status: creating providers/web/Makefile
config.status: creating providers/web/libgda-web-5.0.pc
config.status: creating providers/skel-implementation/Makefile
config.status: creating providers/skel-implementation/capi/Makefile
config.status: creating providers/skel-implementation/capi/libgda-capi-5.0.pc
config.status: creating providers/skel-implementation/models/Makefile
config.status: creating providers/skel-implementation/models/libgda-models-5.0.pc
config.status: creating providers/sqlcipher/Makefile
config.status: creating providers/sqlcipher/libgda-sqlcipher-5.0.pc
config.status: creating libgda-report/Makefile
config.status: creating libgda-report/engine/Makefile
config.status: creating libgda-report/DocBook/Makefile
config.status: creating libgda-report/RML/Makefile
config.status: creating libgda-report/RML/trml2html/Makefile
config.status: creating libgda-report/RML/trml2pdf/Makefile
config.status: creating libgda-xslt/Makefile
config.status: creating libgda-ui/Makefile
config.status: creating libgda-ui/marshallers/Makefile
config.status: creating libgda-ui/internal/Makefile
config.status: creating libgda-ui/data-entries/Makefile
config.status: creating libgda-ui/data-entries/plugins/Makefile
config.status: creating libgda-ui/data/Makefile
config.status: creating libgda-ui/demos/Makefile
config.status: creating libgda-ui/demos/geninclude.pl
config.status: creating libgda-ui/glade/Makefile
config.status: creating control-center/Makefile
config.status: creating control-center/data/Makefile
config.status: creating tools/Makefile
config.status: creating tools/gda-sql-5.0.1
config.status: creating tools/cmdtool/Makefile
config.status: creating tools/help/Makefile
config.status: creating tools/browser/Makefile
config.status: creating tools/browser/data/Makefile
config.status: creating tools/browser/common/Makefile
config.status: creating tools/browser/schema-browser/Makefile
config.status: creating tools/browser/query-exec/Makefile
config.status: creating tools/browser/data-manager/Makefile
config.status: creating tools/browser/ldap-browser/Makefile
config.status: creating tools/browser/dummy-perspective/Makefile
config.status: creating tools/browser/canvas/Makefile
config.status: creating tools/browser/doc/Makefile
config.status: creating tools/browser/help/Makefile
config.status: creating testing/Makefile
config.status: creating tests/Makefile
config.status: creating tests/parser/Makefile
config.status: creating tests/data-models/Makefile
config.status: creating tests/providers/Makefile
config.status: creating tests/value-holders/Makefile
config.status: creating tests/meta-store/Makefile
config.status: creating tests/multi-threading/Makefile
config.status: creating tests/ui/Makefile
config.status: creating doc/Makefile
config.status: creating doc/C/Makefile
config.status: creating doc/C/libgda.types
config.status: creating doc/C/version.xml
config.status: creating data/Makefile
config.status: creating stamp.h
config.status: executing depfiles commands
config.status: executing libtool commands
config.status: executing default-1 commands
config.status: executing po/stamp-it commands

 Configuration summary for version 5.2.10
   Installation prefix = /usr/local
   Building GTK+ UI extension: no
   Installing Glade GTK+ UI extension catalog: no
   Building Libxslt extension: yes
   Building libgda GObject Introspection: yes
   Building libgda-ui GObject Introspection: no
   Building Gtk-Doc: no
   Building Help (GdaBrowser): yes
   Building GDA Vala Bindings (--enable-vala): no
   Building GDA-UI Vala Bindings: no
   Building Vala Documentation: no
   Building Building Libgda's associated tools: yes
   Compiled providers:
      Berkeley DB = no
      Berkeley DB SQL = no
      FireBird (client)= no
      FireBird (embed)= no
      MDB (MS Access) = no
      MySQL = no
      Oracle = no
      PostgreSQL = no
      SQLite = yes (from system installation)
      SQLCipher = no
      JDBC = no
      WEB = yes
      LDAP = no
   With LIBSECRET = yes
   With GNOME KEYRING = no
   Binreloc support is disabled: Libgda will not be relocatable. To enable binreloc support re-run with --enable-binreloc (see http://autopackage.org/docs/binreloc for more information)

===========================================================================
=======================<phase: build          >============================
===>  Building for libgda5-mdb-5.2.10_1
gmake[1]: Entering directory '/wrkdirs/usr/ports/databases/libgda5-mdb/work/libgda-5.2.10/providers/mdb'
gmake[2]: Entering directory '/wrkdirs/usr/ports/databases/libgda5-mdb/work/libgda-5.2.10/providers/mdb'
/bin/sh ../../libtool  --tag=CC   --mode=compile cc -DPACKAGE_NAME=\"GNU\ Data\ Access\" -DPACKAGE_TARNAME=\"libgda\" -DPACKAGE_VERSION=\"5.2.10\" -DPACKAGE_STRING=\"GNU\ Data\ Access\ 5.2.10\" -DPACKAGE_BUGREPORT=\"https://bugzilla.gnome.org/enter_bug.cgi\?product=libgda\" -DPACKAGE_URL=\"http://www.gnome-db.org\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DSIZEOF_UNSIGNED_INT=4 -DSIZEOF_UNSIGNED_LONG_INT=8 -DSIZEOF_INT_P=8 -DHAVE_LOCALTIME_R=1 -DUSE_MLOCK=1 -DSTDC_HEADERS=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_GDU=1 -DGETTEXT_PACKAGE=\"libgda-5.0\" -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -DISO_CODES_PREFIX=\"\" -DHAVE_ICONV=1 -DICONV_CONST= -DHAVE_LIBSOUP=1 -DHAVE_LIBSECRET=1 -DHAVE_READLINE=1 -DHAVE_HISTORY=1 -DHAVE_TERMIOS_H=1 -I.  -I../.. -I../.
 ./libgda -I../../libgda/sqlite -I../.. -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -pthread -I/usr/local/include/libxml2  -DLIBGDA_ABI_NAME=\"libgda-5.0\" -Wall  -DLIBGDA_DATA_DIR=\""/usr/local/share/libgda-5.0"\" -I/usr/local/include -isystem /usr/local/include  -O2 -pipe  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -MT gda-mdb-provider.lo -MD -MP -MF .deps/gda-mdb-provider.Tpo -c -o gda-mdb-provider.lo gda-mdb-provider.c
libtool: compile:  cc "-DPACKAGE_NAME=\"GNU Data Access\"" -DPACKAGE_TARNAME=\"libgda\" -DPACKAGE_VERSION=\"5.2.10\" "-DPACKAGE_STRING=\"GNU Data Access 5.2.10\"" "-DPACKAGE_BUGREPORT=\"https://bugzilla.gnome.org/enter_bug.cgi?product=libgda\"" -DPACKAGE_URL=\"http://www.gnome-db.org\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DSIZEOF_UNSIGNED_INT=4 -DSIZEOF_UNSIGNED_LONG_INT=8 -DSIZEOF_INT_P=8 -DHAVE_LOCALTIME_R=1 -DUSE_MLOCK=1 -DSTDC_HEADERS=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_GDU=1 -DGETTEXT_PACKAGE=\"libgda-5.0\" -DHAVE_LOCALE_H=1 -DHAVE_LC_MESSAGES=1 -DHAVE_BIND_TEXTDOMAIN_CODESET=1 -DHAVE_GETTEXT=1 -DHAVE_DCGETTEXT=1 -DENABLE_NLS=1 -DISO_CODES_PREFIX=\"\" -DHAVE_ICONV=1 -DICONV_CONST= -DHAVE_LIBSOUP=1 -DHAVE_LIBSECRET=1 -DHAVE_READLINE=1 -DHAVE_HISTORY=1 -DHAVE_TERMIOS_H=1 -I. -I../.. -I../../libgda -I../../libgda/sqlite 
 -I../.. -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -pthread -I/usr/local/include/libxml2 -DLIBGDA_ABI_NAME=\"libgda-5.0\" -Wall -DLIBGDA_DATA_DIR=\"/usr/local/share/libgda-5.0\" -I/usr/local/include -isystem /usr/local/include -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing -MT gda-mdb-provider.lo -MD -MP -MF .deps/gda-mdb-provider.Tpo -c gda-mdb-provider.c  -fPIC -DPIC -o .libs/gda-mdb-provider.o
In file included from gda-mdb-provider.c:37:
In file included from ./gda-mdb.h:33:
/usr/local/include/mdbtools.h:37:10: fatal error: 'mdbfakeglib.h' file not found
#include <mdbfakeglib.h>
         ^~~~~~~~~~~~~~~
1 error generated.
gmake[2]: *** [Makefile:690: gda-mdb-provider.lo] Error 1
gmake[2]: Leaving directory '/wrkdirs/usr/ports/databases/libgda5-mdb/work/libgda-5.2.10/providers/mdb'
gmake[1]: *** [Makefile:751: all-recursive] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/databases/libgda5-mdb/work/libgda-5.2.10/providers/mdb'
*** Error code 1

Stop.
make: stopped in /usr/ports/databases/libgda5-mdb
Received on Tue May 18 2021 - 23:11:42 UTC

Original text of this message